diff --git a/CHANGES b/CHANGES
index dba57ee04ca..4e5a1ef06e0 100644
--- a/CHANGES
+++ b/CHANGES
@@ -11,6 +11,7 @@ Features:
 Emulation fixes:
  - GB Memory: Add cursory cartridge open bus emulation (fixes mgba.io/i/2032)
  - GB Video: Clear VRAM on reset (fixes mgba.io/i/2152)
+ - GBA: Improve timing when not booting from BIOS
  - GBA SIO: Add missing NORMAL8 implementation bits (fixes mgba.io/i/2172)
  - GBA SIO: Fix missing interrupt on an unattached NORMAL transfer
  - GBA SIO: Fix SI value for unattached MULTI mode
diff --git a/src/gba/gba.c b/src/gba/gba.c
index d8a4b740a90..b73fe9d8668 100644
--- a/src/gba/gba.c
+++ b/src/gba/gba.c
@@ -265,8 +265,10 @@ void GBASkipBIOS(struct GBA* gba) {
 		} else {
 			cpu->gprs[ARM_PC] = BASE_WORKING_RAM + 0xC0;
 		}
-		gba->video.vcount = 0x7D;
-		gba->memory.io[REG_VCOUNT >> 1] = 0x7D;
+		gba->video.vcount = 0x7E;
+		gba->memory.io[REG_VCOUNT >> 1] = 0x7E;
+		mTimingDeschedule(&gba->timing, &gba->video.event);
+		mTimingSchedule(&gba->timing, &gba->video.event, 117);
 		gba->memory.io[REG_POSTFLG >> 1] = 1;
 		ARMWritePC(cpu);
 	}
diff --git a/src/gba/video.c b/src/gba/video.c
index 01e652e5967..d78af2468b4 100644
--- a/src/gba/video.c
+++ b/src/gba/video.c
@@ -70,7 +70,7 @@ void GBAVideoReset(struct GBAVideo* video) {
 	} else {
 		// TODO: Verify exact scanline on hardware
 		video->vcount = 0x7E;
-		nextEvent = 170;
+		nextEvent = 117;
 	}
 	video->p->memory.io[REG_VCOUNT >> 1] = video->vcount;
 
